## com.baidubce.services.moladb.model
Class ListInstancesResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.ListInstancesResponse

    public class ListInstancesResponse

extends AbstractBceResponse

Represents the output of a ListInstance operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListInstancesResponse()` Constructs a new ListInstanceResponse object.

Method Summary
`List<String>` `getInstanceNames()` Get the names of all instances got from server side.
`void` `setInstanceNames(List<String> names)` Set the names of all instances got from server side.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListInstancesResponse

    public ListInstancesResponse()

  Constructs a new ListInstanceResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getInstanceNames

    public List<String> getInstanceNames()

  Get the names of all instances got from server side.

  Returns:
    The names of all instances got from server side, the type is in List<String>.

### setInstanceNames

    public void setInstanceNames(List<String> names)

  Set the names of all instances got from server side.

  Parameters:
    `names` - The names of all instances got from server side, the type is in List<String>.

Copyright © 2016. All rights reserved.